Bug 1291326 - [abrt] nodejs: node::OnFatalError(): node killed by SIGABRT
[abrt] nodejs: node::OnFatalError(): node killed by SIGABRT
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: nodejs (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: T.C. Hollingsworth
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0551b2ddaea7e9853627854edcb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 09:58 EST by Jiri Popelka
Modified: 2016-04-25 15:21 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-25 15:21:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.52 KB, text/plain)
2015-12-14 09:58 EST, Jiri Popelka
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-14 09:58 EST, Jiri Popelka
no flags Details
File: core_backtrace (5.36 KB, text/plain)
2015-12-14 09:58 EST, Jiri Popelka
no flags Details
File: dso_list (2.50 KB, text/plain)
2015-12-14 09:58 EST, Jiri Popelka
no flags Details
File: environ (2.67 KB, text/plain)
2015-12-14 09:58 EST, Jiri Popelka
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-14 09:58 EST, Jiri Popelka
no flags Details
File: maps (115.96 KB, text/plain)
2015-12-14 09:58 EST, Jiri Popelka
no flags Details
File: mountinfo (3.62 KB, text/plain)
2015-12-14 09:58 EST, Jiri Popelka
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-14 09:58 EST, Jiri Popelka
no flags Details
File: open_fds (648 bytes, text/plain)
2015-12-14 09:58 EST, Jiri Popelka
no flags Details
File: proc_pid_status (981 bytes, text/plain)
2015-12-14 09:58 EST, Jiri Popelka
no flags Details

  None (edit)
Description Jiri Popelka 2015-12-14 09:58:26 EST
Description of problem:
$ npm search

Version-Release number of selected component:
nodejs-0.10.36-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        npm '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
crash_function: node::OnFatalError
executable:     /usr/bin/node
global_pid:     25849
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 node::OnFatalError at ../src/node.cc:1931
 #3 v8::internal::V8::FatalProcessOutOfMemory at src/api.cc:213
 #4 v8::internal::Invoke at src/execution.cc:132
 #5 v8::internal::Execution::Call at src/execution.cc:179
 #6 v8::Function::Call at src/api.cc:3667
 #7 node::MakeCallback at ../src/node.cc:1043
 #9 node::After at ../src/node_file.cc:214
 #10 uv__work_done at ../src/unix/threadpool.c:220
 #11 uv__async_event at ../src/unix/async.c:86
 #12 uv__async_io at ../src/unix/async.c:126

Potential duplicate: bug 1149041
Comment 1 Jiri Popelka 2015-12-14 09:58:33 EST
Created attachment 1105584 [details]
File: backtrace
Comment 2 Jiri Popelka 2015-12-14 09:58:34 EST
Created attachment 1105585 [details]
File: cgroup
Comment 3 Jiri Popelka 2015-12-14 09:58:36 EST
Created attachment 1105586 [details]
File: core_backtrace
Comment 4 Jiri Popelka 2015-12-14 09:58:38 EST
Created attachment 1105587 [details]
File: dso_list
Comment 5 Jiri Popelka 2015-12-14 09:58:39 EST
Created attachment 1105588 [details]
File: environ
Comment 6 Jiri Popelka 2015-12-14 09:58:41 EST
Created attachment 1105589 [details]
File: limits
Comment 7 Jiri Popelka 2015-12-14 09:58:43 EST
Created attachment 1105590 [details]
File: maps
Comment 8 Jiri Popelka 2015-12-14 09:58:45 EST
Created attachment 1105591 [details]
File: mountinfo
Comment 9 Jiri Popelka 2015-12-14 09:58:47 EST
Created attachment 1105592 [details]
File: namespaces
Comment 10 Jiri Popelka 2015-12-14 09:58:48 EST
Created attachment 1105593 [details]
File: open_fds
Comment 11 Jiri Popelka 2015-12-14 09:58:50 EST
Created attachment 1105594 [details]
File: proc_pid_status
Comment 12 krutoileshii 2015-12-30 04:21:55 EST
Another user experienced a similar problem:

random occu

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        node /home/laptop/Yevsey_JavaScript/test.js
crash_function: node::OnFatalError
executable:     /usr/bin/node
global_pid:     10868
kernel:         4.2.7-300.fc23.x86_64
package:        nodejs-0.10.36-4.fc23
reason:         node killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Stephen Gallagher 2016-03-23 15:13:12 EDT
Could someone test with Node.js 0.10.42 on Fedora 23 or 4.4.1 on Fedora 24?

Note You need to log in before you can comment on or make changes to this bug.